<?php
/**
 * @package     VirtueMart.vmpayment
 * @subpackage  com_vrpayecommerce
 *
 * @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

?>
<link href="<?php echo $this->assetsPath . 'css/account_payment_form.css'; ?>" rel="stylesheet" type="text/css">
<h2><?php echo VmText::_('FRONTEND_MC_DELETE');?></h2>

<?php
if (isset($this->error))
{
?>
	<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $this->error; ?>
		<button type="button" class="close" data-dismiss="alert">&times;</button>
	</div>
<?php
}
?>

<div class="box-unreg">
	<p class="text-unreg"><?php echo VmText::_('FRONTEND_MC_DELETESURE');?></p>
	<form class="cancel_form" action="<?php echo $this->cancelUrl?>" method="post">
		<input type="submit" value="<?php echo VmText::_('FRONTEND_BT_CANCEL');?>" class="button">
	</form>
	<form action="" method="post">
		<input type="hidden" name="id" value="<?php echo $this->id?>"/>
		<input type="hidden" name="selected_payment" value="<?php echo $this->selectedPayment?>"/>
		<input type="submit" name="doDelete" value="<?php echo VmText::_('FRONTEND_BT_CONFIRM');?>" class="button">
	</form>
</div>
