<?php
/**
 * @package     VirtueMart.vmpayment
 * @subpackage  com_vrpayecommerce
 *
 * @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

defined('_JEXEC') or die('Restricted access');
?>

<?php
if ($this->redirect)
{
?>
	<script src="<?php echo $this->assetsPath . 'js/jquery-1.10.2.min.js'; ?>" type="text/javascript"></script>
	<style>
		button.wpwl-button-brand, .copyright {
			display:none;
		}
		body {
			display:none;
			background-color: #FFFFFF !important;
		}
	</style>
	<script type="text/javascript">
		var wpwlOptions = {
				 onReady: function(){
						$(".wpwl-form").submit();
				}
		}
	</script>

	<input type="submit" value="Submit" style="display:none" />
	<script src="<?php echo $this->paymentWidgetUrl?>" type="text/javascript"></script>
	<form action="<?php echo $this->responseUrl?>" class="paymentWidgets"><?php echo $this->brand?></form>

<?php
}
else
{
?>
	<link href="<?php echo $this->assetsPath . 'css/account_payment_form.css'; ?>" rel="stylesheet" type="text/css">
	<script src="<?php echo $this->assetsPath . 'js/jquery-1.10.2.min.js'; ?>" type="text/javascript"></script>
	<h2><?php echo VmText::_('FRONTEND_MC_SAVE');?></h2>

	<?php
	if (!empty($this->error))
	{
	?>
		<dl id="system-message" style="display: block;">
			<dt class="error">Error</dt>
			<dd class="error message">
			<ul>
				<li><?php echo $this->error?></li>
			</ul>
		</dd>
		</dl>
	<?php
	}

	?>

	<script type="text/javascript">
		var wpwlOptions = {
			locale: "<?php echo $this->lang?>",
			 style: "card",
			 onReady: function(){
				var buttonCancel = "<a href='<?php echo $this->cancelUrl?>' class='wpwl-button btn_cancel'><?php echo VmText::_('FRONTEND_BT_CANCEL');?></a>";
				var buttonConfirm = "<?php echo VmText::_('FRONTEND_BT_REGISTER');?>" ;
				var ttRegistration = "<div class='register-tooltip'><?php echo VmText::_('FRONTEND_TT_REGISTRATION');?></div>";
				var ttTestMode = "<div class='testmode'><?php echo VmText::_('FRONTEND_TT_TESTMODE');?></div>";
				$('form.wpwl-form').find('.wpwl-button').before(buttonCancel);
				$('.wpwl-button-pay').html(buttonConfirm);
				$('.wpwl-container').after(ttRegistration);
				<?php
				if ($this->testMode)
				{
				?>
					$(".wpwl-container").wrap( "<div class='frametest'></div>");
					$('.wpwl-container').before(ttTestMode);
					<?php
				}

				?>
			}
		}
	</script>

	<input type="submit" value="Submit" style="display:none" />
	<script src="<?php echo $this->paymentWidgetUrl?>" type="text/javascript"></script>
	<form action="<?php echo $this->responseUrl?>" class="paymentWidgets"><?php echo $this->brand?></form>
<?php
}

?>
<script src="<?php echo $this->assetsPath . 'js/jquery-1.10.2.min.js'; ?>" type="text/javascript"></script>
