<?php
/**
 * @package     VirtueMart.vmpayment
 * @subpackage  vrpayecommerce
 *
 * @copyright Copyright (c) 2004 - 2010 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

defined('_JEXEC') or die('Restricted access');
?>

<?php
if ($viewData['redirect'])
{
?>
	<script src="<?php echo $viewData['assetsPath'] . 'js/jquery-1.10.2.min.js'; ?>" type="text/javascript"></script>
	<style>
		button.wpwl-button-brand, .copyright {
			display:none;
		}
		body {
			display:none;
			background-color: #FFFFFF !important;
		}
	</style>
	<script type="text/javascript">
		var wpwlOptions = {
				 onReady: function(){
						$(".wpwl-form").submit();
				}
		}
	</script>
	<input type="submit" value="Submit" style="display:none" />
	<script src="<?php echo $viewData['paymentWidgetUrl']?>" type="text/javascript"></script>
	<form action="<?php echo $viewData['responseUrl']?>" class="paymentWidgets"><?php echo $viewData['brand']?></form>
<?php
}
else
{
?>
	<link href="<?php echo $viewData['assetsPath'] . 'css/payment_form.css'; ?>" rel="stylesheet" type="text/css">
	<script src="<?php echo $viewData['assetsPath'] . 'js/jquery-1.10.2.min.js'; ?>" type="text/javascript"></script>
	<script type="text/javascript">
		var wpwlOptions = {
			locale: "<?php echo $viewData['lang']?>",
			 style: "card",
			 onReady: function(){
				var buttonCancel = "<a href='<?php echo $viewData['cancelUrl']?>' class='wpwl-button btn_cancel'>"+
				"<?php echo vmText::_('FRONTEND_BT_CANCEL');?></a>";
				var ttTestMode = "<div class='testmode'><?php echo vmText::_('FRONTEND_TT_TESTMODE');?></div>";
				var headerWidget = "<h2 style='text-align: center;'><?php echo vmText::_('FRONTEND_RECURRING_WIDGET_HEADER2');?></h2>";
				$('form.wpwl-form').find('.wpwl-button').before(buttonCancel);
				<?php
				if ($viewData['testMode'])
				{
				?>
					$(".wpwl-container").wrap( "<div class='frametest'></div>");
					$('.wpwl-container').before(ttTestMode);
				<?php
				}
				?>
				<?php
				if ($viewData['recurring'])
				{
				?>
					$('#wpwl-registrations').after(headerWidget);
				<?php
				}
				?>
			} ,
			registrations: {
				 hideInitialPaymentForms: false,
				 requireCvv: false
			}
		}
	</script>


	<?php
	if ($viewData['recurring'])
	{
	?>
		<?php
		if (!empty($viewData['registrations']))
		{
		?>
			<h2 style="text-align: center"><?php echo vmText::_('FRONTEND_RECURRING_WIDGET_HEADER1');?></h2>
		<?php
		}
		else
		{
		?>
			<h2 style="text-align: center"><?php echo vmText::_('FRONTEND_MC_PAYANDSAFE');?></h2>
		<?php
		}
		?>
	<?php
	}
	?>

	<input type="submit" value="Submit" style="display:none" />
	<script src="<?php echo $viewData['paymentWidgetUrl']?>" type="text/javascript"></script>
	<form action="<?php echo $viewData['responseUrl']?>" class="paymentWidgets"><?php echo $viewData['brand']?></form>

<?php
}

?>
<script src="<?php echo $viewData['assetsPath'] . 'js/jquery-1.10.2.min.js'; ?>" type="text/javascript"></script>
